com.impinj.octane

## Class TelnetRShellSocket

- java.lang.Object
- - com.impinj.octane.TelnetRShellSocket

- All Implemented Interfaces:
    RShellSocket

      public class TelnetRShellSocket
      extends java.lang.Object
      implements RShellSocket

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TelnetRShellSocket(java.lang.String address, java.lang.String username, java.lang.String password, int timeoutMs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `Close()`
    `void` | `Connect()`
    `boolean` | `isConnected()`
    `java.lang.String` | `Send(java.lang.String cmd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TelnetRShellSocket

          public TelnetRShellSocket(java.lang.String address,
                                    java.lang.String username,
                                    java.lang.String password,
                                    int timeoutMs)
                             throws OctaneSdkException

      Throws:
        `OctaneSdkException`

  - ### Method Detail

    - #### isConnected

          public boolean isConnected()

      Specified by:
        `isConnected` in interface `RShellSocket`

    - #### Connect

          public void Connect()
                       throws OctaneSdkException

      Specified by:
        `Connect` in interface `RShellSocket`
      Throws:
        `OctaneSdkException`

    - #### Send

          public java.lang.String Send(java.lang.String cmd)
                                throws OctaneSdkException

      Specified by:
        `Send` in interface `RShellSocket`
      Throws:
        `OctaneSdkException`

    - #### Close

          public void Close()
                     throws OctaneSdkException

      Specified by:
        `Close` in interface `RShellSocket`
      Throws:
        `OctaneSdkException`